( REMOTE, LOCAL, REPO, PACKLIST, MISC, EXISTING ) = range( 6 )

# Application pack instance types
( DEPS, INSTALL, DRYRUN, UPDATE, UNINSTALL, DRIVE, ENDDEP, DESKTOP ) = range( 8 )

# Download file types
( RESOURCE, APP_PACK )= range( 2 )

# Progress types
( POPUP, WIDGET, CELL ) = range( 3 )

# Installable file types
( LAUNCHER, SCRIPT, REGISTRY, ICON ) = range( 4 ) 

# Download consts
( DL_WIDGET, DL_POPUP, DL_TILESTATUS) = range( 3 )

# View types
(SHOW_ALL, SHOW_AVAILABLE, SHOW_UPDATES, SHOW_INSTALLED, SHOW_QUEUE) = range (5)

# Install all applications
ALL = -1

# Errors
FILE_NOT_FOUND = -3

# Download status
( DOWNLOAD_NOTREADY, DOWNLOAD_FAILED, DOWNLOAD_OK ) = range( 3 )

( REPO_NAME, REPO_URI ) = range( 2 )
( PACK_TILE, PACK_SHORTNAME, PACK_VERSION ) = range( 3 )

# Allow either or for filtering, this allows us to add an advanced search facility later
(ANY, NAME, REPOSITORY, DESCRIPTION, CATEGORY, VENDOR) = (31, 1, 2, 4, 8, 16)

( LEFT, RIGHT, CENTER, FULL ) = range( 4 )
( NORMAL, BOLD, ITALIC, UNDERLINE ) = ( 0, 1, 2, 4 )

# Define cairo equivelents here 

( CAIRO_HINT_STYLE_DEFAULT,
  CAIRO_HINT_STYLE_NONE,
  CAIRO_HINT_STYLE_SLIGHT,
  CAIRO_HINT_STYLE_MEDIUM,
  CAIRO_HINT_STYLE_FULL,
  CAIRO_HINT_STYLE_STROKE,
  CAIRO_HINT_NUM ) = range( 7 )
  
# STROKE uses a fine stroke to enhance further the weight of the text
# without bolding it, like a faux bold

( CAIRO_FONT_WEIGHT_NORMAL,
  CAIRO_FONT_WEIGHT_BOLD ) = range( 2 )

( CAIRO_FONT_SLANT_NORMAL, 
  CAIRO_FONT_SLANT_ITALIC ) = ( 0, 2 )
